#
# spec file for package java-1_6_0-sun
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           java-1_6_0-sun
BuildRequires:  fdupes jpackage-utils unzip update-alternatives update-desktop-files
%define section         non-free
%define origin          sun
%define javamajver      1.6.0
%define javaminver      26
%define priority        16%{javaminver}
%define toplevel_dir    jdk%{javamajver}_%{javaminver}
%define suse_release    %{nil}
%define javaver         %{javamajver}.u%{javaminver}%{suse_release}
%define cvsver          1_6_0
%define buildver        1
%define cvsversion	%{cvsver}_%{buildver}
#define cvsversion	%{cvsver}
%define javaws_ver      %{javaver}
%define javaws_version  %{cvsversion}
%define sdklnk          java-%{javamajver}-%{origin}
%define jrelnk          jre-%{javamajver}-%{origin}
%define sdkdir          java-%{javamajver}-%{origin}-%{javamajver}
%define demodir         %{_jvmdir}/%{sdkdir}/demo
%define sampledir      %{_jvmdir}/%{sdkdir}/sample
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define sdklibdir       %{_jvmdir}/%{sdklnk}/lib
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/java-%{javamajver}-%{origin}-%{javamajver}
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings
%define fontconfigdir   %{_sysconfdir}/fonts
%define fontdir         %{_datadir}/fonts/java
%define xsldir          %{_datadir}/xml/%{name}-%{javamajver}
%define pluginsdir      %{_libdir}/browser-plugins
%ifarch %ix86
%define pluginpath      %{_jvmdir}/%{jredir}/lib/i386
%else 
%define pluginpath      %{_jvmdir}/%{jredir}/lib/amd64
%endif
%define pluginname      libnpjp2.so
# The old plugin for Seamonkey bnc#476397
%ifarch %ix86
%define pluginsdir_seamonkey %{_libdir}/seamonkey/plugins
%define pluginsdir_opera     %{_libdir}/opera/plugins
%define pluginpath_legacy       %{_jvmdir}/%{jredir}/plugin/i386/ns7/
%define pluginname_legacy       libjavaplugin_oji.so
%endif
%define cgibindir       %{_var}/www/cgi-bin
# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
Version:        %{javamajver}.u%{javaminver}
Release:        0.2.2
Summary:        Java(TM) 6 Runtime Environment
License:        NON-OSI-COMPLIANT(royalties)
Group:          Development/Languages/Java
Url:            https://jdk-distros.dev.java.net/developer.html
Source0:        jdk-6u%{javaminver}-dlj-linux-i586.bin
NoSource:       0
Source1:        jdk-6u%{javaminver}-dlj-linux-amd64.bin
NoSource:       1 
#Source1:        %{name}-register-java-fonts.xsl
#Source2:        %{name}-unregister-java-fonts.xsl
Source3:        fontconfig.SuSE.properties
Source4:        README.SUSE.EARLY_RELEASE
Source5:        wrapper-script
%define tzversion 1_3_9-2008g
Source100:      tzupdater-%{tzversion}.zip
NoSource:       100
%define         tzupdate false
Source1000:     java-1_6_0-sun-rpmlintrc
Provides:       jre-%{javamajver}-%{origin} = %{version}-%{release}
Provides:       jre-%{origin} = %{version}-%{release}
Provides:       jre-%{javamajver}, java-%{javamajver}, jre = %{javaver}
Provides:       java-%{origin} = %{version}-%{release}
Provides:       java = %{javaver}
Requires:       update-alternatives
Requires:       jpackage-utils >= 1.7.0
Conflicts:      kaffe
ExclusiveArch:  %ix86 x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       javaws = %{javaws_ver}
Provides:       jndi = %{javaver}, jndi-ldap = %{javaver}
Provides:       jndi-cos = %{javaver}, jndi-rmi = %{javaver}
Provides:       jndi-dns = %{javaver}
Provides:       jaas = %{javaver}
Provides:       jsse = %{javaver}
Provides:       jce = %{javaver}
Provides:       jdbc-stdext = 3.0, jdbc-stdext = %{javaver}
Provides:       java-sasl = %{javaver}
Provides:       jre1.1.x jre1.2.x jre1.3.x jre1.4.x jre1.5.x jre1.6.x
# 32-bit versus 64-bit specific provides:
%ifarch %ix86 ppc s390
%define bits 32
%endif
%ifarch x86_64 ia64 s390x
%define bits 64
%endif
Provides:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}
Provides:       jre-%{origin}-%{bits} = %{version}-%{release}
Provides:       jre-%{javamajver}-%{bits}, java-%{javamajver}-%{bits}
Provides:       jre-%{bits} = %{javaver}
Provides:       java-%{origin}-%{bits} = %{version}-%{release}
Provides:       java-%{bits} = %{javaver}
Provides:       jndi-%{bits}, jdbc-stdext-%{bits}
Obsoletes:      java2-jre < 1.4.2-150
Provides:       java2-jre = 1.6.0
PreReq:         update-alternatives
%ifarch %ix86
Obsoletes:      javaws-menu
%endif
Provides:       j2re = 1.6.0

%description
Java(TM) 6 Runtime Environment

The Java(TM) 6 Runtime Environment contains the Java virtual machine,
runtime class libraries, and Java application launcher that are
necessary to run programs written in the Java progamming language. It
is not a development environment and does not contain development tools
such as compilers and debuggers. For development tools, see the
java-1.6.0-sun-devel package.

The Java 6 Runtime Environment is intended for software developers and
vendors who wish to redistribute their applications.



%package        devel
License:        NON-OSI-COMPLIANT(royalties)
Summary:        Java(TM) 6 SDK, Standard Edition
Group:          Development/Languages/Java
Requires:       update-alternatives
Provides:       java-sdk-%{javamajver}-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{origin} = %{version}-%{release}
Provides:       java-sdk-%{javamajver}, java-sdk = %{javaver}
Provides:       java-devel-%{origin} = %{version}-%{release}
Provides:       java-%{javamajver}-devel, java-devel = %{javaver}
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}
Provides:       j2sdk = 1.6.0

%description    devel
The Java 6 SDK is a development environment for building applications,
applets, and components using the Java programming language.

The Java 6 SDK includes tools useful for developing and testing
programs written in the Java programming language and running on the
Java platform. These tools are designed to be used from the command
line. Except for the appletviewer, these tools do not provide a
graphical user interface.



%package        src
License:        NON-OSI-COMPLIANT(royalties)
Summary:        Source files for java-1_6_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}

%description    src
This package contains the sources of all classes that make up the Java
6 Standard Edition API, as provided by Sun.



%package        demo
License:        NON-OSI-COMPLIANT(royalties)
Summary:        Demonstration files for java-1_6_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}
# Without this a requirement on libjava_crw_demo_g.so is added which
# is not in the main java package. libjava_crw_demo.so is but not "_g".
AutoReq:        0

%description    demo
This package contains demonstration files for java-1_6_0-sun.



%package        plugin
License:        NON-OSI-COMPLIANT(royalties)
Summary:        Browser plugin files for java-1_6_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javamajver}-plugin = %{version}
Conflicts:      java-%{javamajver}-ibm-plugin, java-%{javamajver}-blackdown-plugin
Conflicts:      java-%{javamajver}-bea-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin, java-1.4.2-plugin,
Provides:       java-1.3.1-plugin, java-1.4.0-plugin, java-1.4.1-plugin, java-1.4.2-plugin, java-1.6.0-plugin
Requires(post): update-alternatives
Conflicts:      MozillaFirefox <= 2

%description    plugin
This package contains browser plugin files for java-1_6_0-sun. Note:
this package supports browsers built with GCC 3.2 and later



%package        alsa
License:        NON-OSI-COMPLIANT(royalties)
Summary:        ALSA support for java-1_6_0-sun
Group:          Development/Languages/Java
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}

%description    alsa
This package contains Advanced Linux Sound Architecture (ALSA) support
libraries for java-1_6_0-sun.



%package        jdbc
License:        NON-OSI-COMPLIANT(royalties)
Summary:        JDBC/ODBC bridge driver for java-1_6_0-sun
Group:          Development/Languages/Java
AutoReq:        0
Requires:       %{name} = %{version}-%{release}
Requires:       jre-%{javamajver}-%{origin}-%{bits} = %{version}-%{release}
Requires:       unixODBC
Provides:       java-jdbc = %{version}

%description    jdbc
This package contains the JDBC/ODBC bridge driver for java-1_6_0-sun.



%prep
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
export MORE=10000
%ifarch %ix86
sh %{SOURCE0} --accept-license --unpack
%endif
%ifarch x86_64
sh %{SOURCE1} --accept-license --unpack
%endif
%setup -T -D -n %{toplevel_dir}
chmod -R go=u-w *
chmod -R u+w *
cp %{SOURCE4} .
if [ "%tzupdate" = "true" ]
then
%define tzname %(echo %{tzversion} | sed 's/_/./g')
  unzip %{SOURCE100}
  ./bin/java -jar tzupdater-%{tzname}/tzupdater.jar -v -u
fi

%build
# Nope.

%install
export NO_BRP_CHECK_BYTECODE_VERSION="true"
# the Sun bug http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6532373 is already fixed
# and combination of fdupes and those symlinks should be dangerous - bnc#473952
#for file in jre/bin/java bin/java jre/bin/ControlPanel bin/appletviewer
#do
#  if [ -e $file ] 
#  then
#    cp $file{,.bin}
#    cp %{SOURCE5} $file
#  fi
#done
# fix up ControlPanel APPHOME and bin locations
perl -p -i -e 's|APPHOME=.*|APPHOME=%{_jvmdir}/%{jredir}|' jre/bin/ControlPanel
perl -p -i -e 's|/usr/bin/||g' jre/bin/ControlPanel
# fix up (create new) HtmlConverter
cat > bin/HtmlConverter << EOF
%{jrebindir}/java -jar %{sdklibdir}/htmlconverter.jar $*
EOF
# fix up java-rmi.cgi PATH
perl -p -i -e 's|PATH=.*|PATH=%{jrebindir}|' bin/java-rmi.cgi
# XXX: what's that?
# install java-rmi-cgi
#install -D -m 755 bin/java-rmi.cgi $RPM_BUILD_ROOT%{cgibindir}/java-rmi-%{version}.cgi
# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jce.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar sasl-%{version}.jar
   for jar in *-%{version}.jar ; do
      if [ x%{version} != x%{javaver} ]; then
         ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      fi
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
# rest of the jre
cp -a jre/bin jre/lib $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib
cp -a jre/javaws jre/plugin $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed
# jce policy file handling
install -d -m 755 $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
for file in local_policy.jar US_export_policy.jar; do
  mv $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file \
    $RPM_BUILD_ROOT%{_jvmprivdir}/%{name}/jce/vanilla
  # for ghosts
  touch $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/security/$file
done
# versionless symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -Dpm 644 jre/plugin/desktop/sun_java.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
[Desktop Entry]
Name=Sun Java %{version} Java Plug-in Control Panel
GenericName=Java Plugin Control Panel
Comment=Sun Java %{version} Java Plug-in Control Panel
Exec=%{_jvmdir}/%{jredir}/bin/ControlPanel
Icon=sun-java-%{version}-%{release}
Terminal=false
Type=Application
EOF
%suse_update_desktop_file -r $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop Java System SystemSetup
# menu entry for web start (reuse plugin control panel icon)
cat <<EOF > $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
[Desktop Entry]
Name=Sun Java %{version} Java Web Start
GenericName=Java Web Start
Comment=Java Web Start Application Manager
Exec=%{_jvmdir}/%{jredir}/javaws/javaws -viewer
Icon=sun-java-%{version}-%{release}
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;System;Java;X-JPackage;
EOF
chmod 644 $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%suse_update_desktop_file -r $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}-webstart.desktop Java System Monitor 
# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
for manpage in man/man1/*; do
  install -m 644 -p $manpage $RPM_BUILD_ROOT%{_mandir}/man1/`basename $manpage .1`-%{name}.1
done
# demo
install -d -m 755 $RPM_BUILD_ROOT%{demodir}
cp -a demo/*      $RPM_BUILD_ROOT%{demodir}
# samples bnc#496489
install -d -m 755 $RPM_BUILD_ROOT%{sampledir}
cp -a sample/*   $RPM_BUILD_ROOT%{sampledir}
# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files
grep plugin  %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-plugin.files
grep Jdbc    %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
grep -F alsa.so %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-alsa.files
cat %{name}-%{version}-all.files \
  | grep -v plugin \
  | grep -v Jdbc \
  | grep -v lib/fonts \
  | grep -v "\/demo\/" \
  | grep -vF alsa.so \
  | grep -v jre/lib/security \
  | grep -v %{pluginname} \
  > %{name}-%{version}.files
# hardlink duplicates:
# fdupes links the files from JDK to JRE, so it breaks a JRE
# use it carefully :))
%fdupes -s $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/
%fdupes -s $RPM_BUILD_ROOT/%{_jvmdir}/%{sdkdir}/demo
%fdupes -s $RPM_BUILD_ROOT%{_javadocdir}/%{sdkname}
# see bnc#331680
# JAR_EXECUTABLE=$(readlink -f $(find %{_builddir} -name "jar"))
# find $RPM_BUILD_ROOT \( -name "*.jar" -a -type f -a ! -empty \) -exec $JAR_EXECUTABLE -i {} \;
# bnc#394974
install -d -m 0755 $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/.systemPrefs
touch $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/.systemPrefs/.systemRootModFile
# The old plugin for Seamonkey bnc#476397
%ifarch %ix86
install -d -m 0755 $RPM_BUILD_ROOT/%{pluginsdir_seamonkey}
install -d -m 0755 $RPM_BUILD_ROOT/%{pluginsdir_opera}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /bin/bash
# set link to javaws ... remove old link, if older versions dont point to alternative
if [ "$(readlink /usr/bin/javaws)" != "/etc/alternatives/javaws" ]
then
  rm -f /usr/bin/javaws
fi
ext=
[ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
--slave %{_bindir}/ControlPanel            ControlPanel                %{jrebindir}/ControlPanel \
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/orbd                    orbd                        %{jrebindir}/orbd \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/servertool              servertool                  %{jrebindir}/servertool \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv \
--slave %{_mandir}/man1/java.1$ext         java.1$ext                  %{_mandir}/man1/java-%{name}.1$ext \
--slave %{_mandir}/man1/keytool.1$ext      keytool.1$ext               %{_mandir}/man1/keytool-%{name}.1$ext \
--slave %{_mandir}/man1/orbd.1$ext         orbd.1$ext                  %{_mandir}/man1/orbd-%{name}.1$ext \
--slave %{_mandir}/man1/policytool.1$ext   policytool.1$ext            %{_mandir}/man1/policytool-%{name}.1$ext \
--slave %{_mandir}/man1/rmid.1$ext         rmid.1$ext                  %{_mandir}/man1/rmid-%{name}.1$ext \
--slave %{_mandir}/man1/rmiregistry.1$ext  rmiregistry.1$ext           %{_mandir}/man1/rmiregistry-%{name}.1$ext \
--slave %{_mandir}/man1/servertool.1$ext   servertool.1$ext            %{_mandir}/man1/servertool-%{name}.1$ext \
--slave %{_mandir}/man1/tnameserv.1$ext    tnameserv.1$ext             %{_mandir}/man1/tnameserv-%{name}.1$ext 
#--slave %{_mandir}/man1/kinit.1$ext        kinit.1$ext                 %{_mandir}/man1/kinit-%{name}.1$ext \
#--slave %{_mandir}/man1/klist.1$ext        klist.1$ext                 %{_mandir}/man1/klist-%{name}.1$ext \
#--slave %{_mandir}/man1/ktab.1$ext         ktab.1$ext                  %{_mandir}/man1/ktab-%{name}.1$ext
update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports     %{_jvmjardir}/%{jrelnk}
update-alternatives --install %{_jvmdir}/jre-%{javamajver} jre_%{javamajver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javamajver}       jre_%{javamajver}_exports      %{_jvmjardir}/%{jrelnk}
# bnc#355868
# 1.) the local_policy and US_export_policy link has to be there, if not
# then move alternatives status back to auto
if [ ! -e %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar -o \
     ! -e %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy ]; then
    update-alternatives --auto jce_%{javamajver}_%{origin}_local_policy
fi
# 2.) The call can simply fails, when the link target already exists, because user
# should modify it
update-alternatives \
  --install \
    %{_jvmdir}/%{jrelnk}/lib/security/local_policy.jar \
    jce_%{javamajver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar \
    %{priority} \
  --slave \
    %{_jvmdir}/%{jrelnk}/lib/security/US_export_policy.jar \
    jce_%{javamajver}_%{origin}_us_export_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/US_export_policy.jar 2>/dev/null || :

if [ -f %{_sysconfdir}/mime.types ]; then
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mailcap.bak 2>/dev/null
   echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null
   perl -p -i -e 's|application/x-java-jnlp-file.*||g' %{_sysconfdir}/mime.types 2>/dev/null
   echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null
fi
### bad symlinks workaround ###
%ifarch %ix86
for ALT in java jre_%{origin} jre-%{javaver} jce_%{javaver}_%{origin}_local_policy; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "1\.6\.0\.u[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done
%endif
### bad symlinks workaround ###

%post devel -p /bin/bash
ext=
[ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext=".bz2"
[ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext=".gz"
update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/jconsole                 jconsole                    %{sdkbindir}/jconsole \
--slave %{_bindir}/pack200                  pack200                     %{sdkbindir}/pack200 \
--slave %{_bindir}/unpack200                unpack200                   %{sdkbindir}/unpack200 \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
--slave %{_bindir}/apt                      apt                         %{sdkbindir}/apt \
--slave %{_bindir}/jinfo                    jinfo                       %{sdkbindir}/jinfo \
--slave %{_bindir}/jmap                     jmap                        %{sdkbindir}/jmap \
--slave %{_bindir}/jps                      jps                         %{sdkbindir}/jps \
--slave %{_bindir}/jsadebugd                jsadebugd                   %{sdkbindir}/jsadebugd \
--slave %{_bindir}/jstack                   jstack                      %{sdkbindir}/jstack \
--slave %{_bindir}/jstat                    jstat                       %{sdkbindir}/jstat \
--slave %{_bindir}/jstatd                   jstatd                      %{sdkbindir}/jstatd \
--slave %{_bindir}/jvisualvm                jvisualvm                   %{sdkbindir}/jvisualvm \
--slave %{_mandir}/man1/appletviewer.1$ext  appletviewer.1$ext          %{_mandir}/man1/appletviewer-%{name}.1$ext \
--slave %{_mandir}/man1/extcheck.1$ext      extcheck.1$ext              %{_mandir}/man1/extcheck-%{name}.1$ext \
--slave %{_mandir}/man1/idlj.1$ext          idlj.1$ext                  %{_mandir}/man1/idlj-%{name}.1$ext \
--slave %{_mandir}/man1/jar.1$ext           jar.1$ext                   %{_mandir}/man1/jar-%{name}.1$ext \
--slave %{_mandir}/man1/jarsigner.1$ext     jarsigner.1$ext             %{_mandir}/man1/jarsigner-%{name}.1$ext \
--slave %{_mandir}/man1/javac.1$ext         javac.1$ext                 %{_mandir}/man1/javac-%{name}.1$ext \
--slave %{_mandir}/man1/javadoc.1$ext       javadoc.1$ext               %{_mandir}/man1/javadoc-%{name}.1$ext \
--slave %{_mandir}/man1/javah.1$ext         javah.1$ext                 %{_mandir}/man1/javah-%{name}.1$ext \
--slave %{_mandir}/man1/javap.1$ext         javap.1$ext                 %{_mandir}/man1/javap-%{name}.1$ext \
--slave %{_mandir}/man1/jdb.1$ext           jdb.1$ext                   %{_mandir}/man1/jdb-%{name}.1$ext \
--slave %{_mandir}/man1/jvisualvm.1$ext     jvisualvm.1$ext             %{_mandir}/man1/jvisualvm-%{name}.1$ext \
--slave %{_mandir}/man1/native2ascii.1$ext  native2ascii.1$ext          %{_mandir}/man1/native2ascii-%{name}.1$ext \
--slave %{_mandir}/man1/rmic.1$ext          rmic.1$ext                  %{_mandir}/man1/rmic-%{name}.1$ext \
--slave %{_mandir}/man1/serialver.1$ext     serialver.1$ext             %{_mandir}/man1/serialver-%{name}.1$ext \
--slave %{_mandir}/man1/jconsole.1$ext      jconsole.1$ext              %{_mandir}/man1/jconsole-%{name}.1$ext \
--slave %{_mandir}/man1/pack200.1$ext       pack200.1$ext               %{_mandir}/man1/pack200-%{name}.1$ext \
--slave %{_mandir}/man1/unpack200.1$ext     unpack200.1$ext             %{_mandir}/man1/unpack200-%{name}.1$ext \
--slave %{_mandir}/man1/apt.1$ext           apt.1$ext                   %{_mandir}/man1/apt-%{name}.1$ext \
--slave %{_mandir}/man1/jinfo.1$ext         jinfo.1$ext                 %{_mandir}/man1/jinfo-%{name}.1$ext \
--slave %{_mandir}/man1/jmap.1$ext          jmap.1$ext                  %{_mandir}/man1/jmap-%{name}.1$ext \
--slave %{_mandir}/man1/jps.1$ext           jps.1$ext                   %{_mandir}/man1/jps-%{name}.1$ext \
--slave %{_mandir}/man1/jsadebugd.1$ext     jsadebugd.1$ext             %{_mandir}/man1/jsadebugd-%{name}.1$ext \
--slave %{_mandir}/man1/jstack.1$ext        jstack.1$ext                %{_mandir}/man1/jstack-%{name}.1$ext \
--slave %{_mandir}/man1/jstat.1$ext         jstat.1$ext                 %{_mandir}/man1/jstat-%{name}.1$ext \
--slave %{_mandir}/man1/jstatd.1$ext        jstatd.1$ext                %{_mandir}/man1/jstatd-%{name}.1$ext 
update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports     %{_jvmjardir}/%{sdklnk}
update-alternatives --install %{_jvmdir}/java-%{javamajver} java_sdk_%{javamajver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javamajver}       java_sdk_%{javamajver}_exports      %{_jvmjardir}/%{sdklnk}
### bad symlinks workaround ###
%ifarch %ix86
for ALT in javac java_sdk_%{origin} java_sdk_%{javaver}; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "1\.6\.0\.u[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done
%endif
### bad symlinks workaround ###

%post plugin -p /bin/bash
  # set link to plugin lib
  cd %{pluginsdir}
  JAVAPLUGINS=$(ls -1 | grep "\(java\|gcj\)" | grep -v javaplugin.so || true)
  if [ -n "$JAVAPLUGINS" ]
  then
    rm -rf $JAVAPLUGINS || true
  fi
  /usr/sbin/update-alternatives \
  --install %{pluginsdir}/javaplugin.so javaplugin %{pluginpath}/%{pluginname} %{priority} \
  --slave %{_bindir}/javaws javaws %{_jvmdir}/%{jredir}/bin/javaws \
  --slave %{_mandir}/man1/javaws.1 javaws.1 %{_jvmdir}/%{jredir}/man/man1/javaws.1
# The old plugin for Seamonkey bnc#476397
%ifarch %ix86
/usr/sbin/update-alternatives --install %{pluginsdir_seamonkey}/libjavaplugin_oji.so javaplugin_seamonkey %{pluginpath_legacy}/%{pluginname_legacy} %{priority}
/usr/sbin/update-alternatives --install %{pluginsdir_opera}/libjavaplugin_oji.so javaplugin_opera %{pluginpath_legacy}/%{pluginname_legacy} %{priority}
%endif
### bad symlinks workaround ###
%ifarch %ix86
for ALT in javaplugin; do
   if [[ $(update-alternatives --display ${ALT} | head -n 1 | grep manual) && 
         $(readlink /etc/alternatives/${ALT} | grep "1\.6\.0\.u[23]") ]]; then
        update-alternatives --auto ${ALT}
   fi
done
%endif
### bad symlinks workaround ###

%preun plugin -p /bin/bash
  if [ "$1" = "0" ] ; then
  /usr/sbin/update-alternatives --remove javaplugin %{pluginpath}/%{pluginname}
# The old plugin for Seamonkey bnc#476397
%ifarch %ix86
/usr/sbin/update-alternatives --remove javaplugin_seamonkey %{pluginpath_legacy}/%{pluginname_legacy}
/usr/sbin/update-alternatives --remove javaplugin_opera %{pluginpath_legacy}/%{pluginname_legacy}
%endif
  fi

%postun -p /bin/bash
if [ $1 -eq 0 ]; then
  update-alternatives --remove java %{jrebindir}/java
  update-alternatives --remove \
    jce_%{javamajver}_%{origin}_local_policy \
    %{_jvmprivdir}/%{name}/jce/vanilla/local_policy.jar
  update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
  update-alternatives --remove jre_%{javamajver} %{_jvmdir}/%{jrelnk}
fi

%postun devel -p /bin/bash
if [ $1 -eq 0 ]; then
  update-alternatives --remove javac %{sdkbindir}/javac
  update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
  update-alternatives --remove java_sdk_%{javamajver} %{_jvmdir}/%{sdklnk}
fi

%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%{_datadir}/applications/jpackage-%{name}-webstart.desktop
%{_datadir}/pixmaps/sun-java-%{version}-%{release}.png
%doc  jre/COPYRIGHT jre/LICENSE jre/README README.SUSE.EARLY_RELEASE
%doc jre/Welcome.html
%dir %{_jvmdir}/%{sdkdir}
%{jvmjardir}
%{_jvmdir}/%{jredir}/lib/fonts
%dir %{_jvmdir}/%{jredir}/lib/security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/javaws.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/blacklist
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/trusted.libraries
%ghost %{_jvmdir}/%{jredir}/lib/security/local_policy.jar
%ghost %{_jvmdir}/%{jredir}/lib/security/US_export_policy.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%dir %{_jvmprivdir}/%{name}
%dir %{_jvmprivdir}/%{name}/jce
%dir %{_jvmprivdir}/%{name}/jce/vanilla
%config(noreplace) %{_jvmprivdir}/%{name}/jce/vanilla/*_policy.jar
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/javaws-%{name}.1*
%{_mandir}/man1/jhat-java-1_6_0-sun.1.gz
%{_mandir}/man1/jrunscript-java-1_6_0-sun.1.gz
%{_mandir}/man1/schemagen-java-1_6_0-sun.1.gz
%{_mandir}/man1/wsgen-java-1_6_0-sun.1.gz
%{_mandir}/man1/wsimport-java-1_6_0-sun.1.gz
%{_mandir}/man1/xjc-java-1_6_0-sun.1.gz
#%{_mandir}/man1/kinit-%{name}.1*
#%{_mandir}/man1/klist-%{name}.1*
#%{_mandir}/man1/ktab-%{name}.1*
%{_jvmdir}/%{jredir}/.systemPrefs

%files devel
%defattr(-,root,root,-)
%doc COPYRIGHT LICENSE README.html
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*
%{_mandir}/man1/jconsole-%{name}.1*
%{_mandir}/man1/pack200-%{name}.1*
%{_mandir}/man1/unpack200-%{name}.1*
%{_mandir}/man1/apt-%{name}.1*
%{_mandir}/man1/jinfo-%{name}.1*
%{_mandir}/man1/jmap-%{name}.1*
%{_mandir}/man1/jps-%{name}.1*
%{_mandir}/man1/jsadebugd-%{name}.1*
%{_mandir}/man1/jstack-%{name}.1*
%{_mandir}/man1/jstat-%{name}.1*
%{_mandir}/man1/jstatd-%{name}.1*
%{_mandir}/man1/jvisualvm-%{name}.1*
%ifarch %ix86
#%{cgibindir}/java-rmi-%{version}.cgi
%endif

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%{demodir}
%{sampledir}

%files alsa -f %{name}-%{version}-alsa.files
%defattr(-,root,root,-)

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)

%files plugin -f %{name}-%{version}-plugin.files
%defattr(-,root,root,-)
%{_datadir}/applications/jpackage-%{name}-ControlPanel.desktop
%{pluginpath}/%{pluginname}
# The old plugin for Seamonkey bnc#476397
%ifarch %ix86
%dir %{_libdir}/seamonkey/
%dir %{_libdir}/seamonkey/plugins
%dir %{_libdir}/opera/
%dir %{_libdir}/opera/plugins
%endif

%changelog
* Wed Jun  8 2011 mvyskocil@suse.cz
- fix bnc#698754 - VUL-0: Oracle Java 6 Update 26
  CVE-2011-0862 CVE-2011-0873 CVE-2011-0815 CVE-2011-0817
  CVE-2011-0863 CVE-2011-0864 CVE-2011-0802 CVE-2011-0814
  CVE-2011-0871 CVE-2011-0786 CVE-2011-0788 CVE-2011-0866
  CVE-2011-0868 CVE-2011-0872 CVE-2011-0867 CVE-2011-0869
  CVE-2011-0865
* Wed Feb 16 2011 bitshuffler@opensuse.org
- Update to 6u24 (bnc#672449)
  CVE-2010-4452 CVE-2010-4454 CVE-2010-4462 CVE-2010-4463
  CVE-2010-4465 CVE-2010-4467 CVE-2010-4469 CVE-2010-4473
  CVE-2010-4422 CVE-2010-4451 CVE-2010-4466 CVE-2010-4470
  CVE-2010-4471 CVE-2010-4476 CVE-2010-4447 CVE-2010-4475
  CVE-2010-4468 CVE-2010-4450 CVE-2010-4448 CVE-2010-4472
  CVE-2010-4474
* Wed Jan  5 2011 bitshuffler@opensuse.org
- Update to 6u23 (bnc#662459)
  http://www.oracle.com/technetwork/java/javase/6u23releasenotes-191058.html
* Mon Oct 18 2010 mvyskocil@suse.cz
- fix bnc#646073 - VUL-0: java-1_6_0-sun Security Update to u22
  CVE-2010-3556 CVE-2010-3562 CVE-2010-3565 CVE-2010-3566
  CVE-2010-3567 CVE-2010-3571 CVE-2010-3554 CVE-2010-3563
  CVE-2010-3568 CVE-2010-3569 CVE-2010-3558 CVE-2010-3552
  CVE-2010-3559 CVE-2010-3572 CVE-2010-3553 CVE-2010-3555
  CVE-2010-3550 CVE-2010-3570 CVE-2010-3561 CVE-2009-3555
  CVE-2010-1321 CVE-2010-3549 CVE-2010-3557 CVE-2010-3541
  CVE-2010-3573 CVE-2010-3574 CVE-2010-3548 CVE-2010-3551
  CVE-2010-3560
* Tue Oct 12 2010 mvyskocil@suse.cz
- fix bnc#355868: Could not initialize class javax.crypto.SunJCE_b
  * post install script no longer broke the $JREDIR/lib/security/*policy.jar
* Thu Jul 22 2010 bitshuffler@opensuse.org
- Update to 6u21 (bnc#624569)
* Tue Apr 20 2010 mvyskocil@suse.cz
- fix bnc#596010 - VUL-0: Java webstart code exec
  - CVE-2010-0886
  codebase parameter in JNLP file is required starting this release - Java SE 6 update 20
- fix bnc#597827 - symlink /usr/bin/javaws to /etc/alternatives/javaws is missing
* Wed Mar 31 2010 mvyskocil@suse.cz
- fix bnc#592589 - VUL-0: Sun Java 6 Update 19
  CVE-2009-3555, CVE-2010-0082, CVE-2010-0084, CVE-2010-0085,
  CVE-2010-0087, CVE-2010-0088, CVE-2010-0089, CVE-2010-0090,
  CVE-2010-0091, CVE-2010-0092, CVE-2010-0093, CVE-2010-0094,
  CVE-2010-0095, CVE-2010-0837, CVE-2010-0838, CVE-2010-0839,
  CVE-2010-0840, CVE-2010-0841, CVE-2010-0842, CVE-2010-0843,
  CVE-2010-0844, CVE-2010-0845, CVE-2010-0846, CVE-2010-0847,
  CVE-2010-0848, CVE-2010-0849, CVE-2010-0850
- fix [bnc#578877] - jvisualvm not present in PATH
* Thu Jan 28 2010 mvyskocil@suse.cz
- fixed [bnc#574502] - VUL-0: java-1_6_0-sun update u18
* Thu Jan 14 2010 mvyskocil@suse.cz
- fixed bnc#570306 - run javaws -viewer from GUI
* Thu Nov  5 2009 mvyskocil@suse.cz
- fixed [bnc#552586] - VUL-0: java-1_6_0-sun: u17 update
* Wed Aug  5 2009 mvyskocil@suse.cz
- fixed bnc#528268: VUL-0: sun jdk 5 u20 / jdk 6 u 15 update
  * Added one new root certificate and removed 3 root certificates from
    Entrust. (Refer to 6805338.) Added three new root certificates from
  * Keynectis. (Refer to 6845457.)
  * Added three new root certificates from Quovadis. (Refer to 6846473.)
  * JNLPAppletLauncher in blacklist (See Sun Alert 263490.)
  * + many bugfixes
* Thu Jun 11 2009 mvyskocil@suse.cz
- fixed bnc#510016: Chinese fonts display
  Merged fontconfig.SuSE.properties with openjdk:
  * used logical font names ("DejaVu Sans") instead of X11 names
  * use Arphic PL fonts for Chinse, instead of non existent sazanami
  * use UnDotum and UnBatang fonts for Korean, instead of baekmukttf-batang
- fixed bnc#494536: Updating Java overwrites a custom certs
  Mark the following files as %%config(noreplace):
  * jre/lib/security/cacerts
  * jre/lib/security/java.policy
  * jre/lib/security/java.security
  * jre/lib/security/javaws.security
  * /usr/lib/jvm-private/java-1_6_0-sun/jce/vanilla/local_policy.jar
  * /usr/lib/jvm-private/java-1_6_0-sun/jce/vanilla/US_export_policy.jar
  (don't remove the policy files in jre/lib/security - they're just symlinks)
* Mon Jun  1 2009 mvyskocil@suse.cz
- fixed bnc#507056: updated to 1.6.0.u14
- Support for blacklisting signed jar files.
- Java HotSpot VM 14.0 with more efficient SoftReference processing and
  improvements to Parallel Compacting garbage collection. Optionally available
  are two new features - escape analysis and compressed object pointers:
  * Optimization Using Escape Analysis: -XX:+DoEscapeAnalysis
  * Compressed Object Pointers: -XX:+UseCompressedOops (improve performance on 64bit JRE)
  * Garbage First (G1) Garbage Collector: -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC
    production use of G1 is only permitted where a Java support contract has
    been purchased, which is not provides by SUSE!
- Improvement TreeMap Iteration
- JAX WS 2.1.6 and JAXB 2.1.10
- JAX-WS 2.1.6 and JAXB 2.1.10 are integrated into JDK 6u14. You can find more details about the new features in the JAX-WS 2.1.6 changelog and in the JAXB 2.1.10 changelog.
- JavaDB 10.4.2.1
- Java VisualVM Updates:
  * CPU usage and GC activity graph in the Monitor tab
  * Table view in the Threads tab
  * Command line options: --openpid, --openjmx, --openfile
  * Compare Memory Snapshots action in the context menu
  * Copy To Clipboard / Save To File buttons in the About dialog
  * Monitoring IBM JVM via JMX connection
  * Based on NetBeans Platform 6.5 and NetBeans Profiler 6.5
  * Faster computation of references, and improved readability of path to GC root in HeapWalker
  * Improved integration of the Visual GC tool
* Mon May 25 2009 mvyskocil@suse.cz
- fixed bnc#506730: Sun Java uses own fonts instead of platform fonts
* Mon Apr 20 2009 mvyskocil@suse.cz
- fixed bnc#496489: added sample to demo package
* Thu Mar 26 2009 mvyskocil@suse.cz
- update to 1.6.0u13 (bnc#488926)
- moved new plugin file to -plugin package
* Wed Feb 18 2009 mvyskocil@suse.cz
- fixed bnc#476397:
  - added a compatibility symlink for Seamonkey on %%ix86
* Tue Feb 10 2009 mvyskocil@suse.cz
- fixed bnc#473952: update-test java update crashes firefox
  - removed a wrappers scripts as upstream fixed the xorg.conf issue
- supress some other rpmlint warnings
* Fri Feb  6 2009 mvyskocil@suse.cz
- update to 1.6.0 u12: bnc#472412
  - enabled a -plugin package
- do not install alternatives for kinit, klist and ktab manual pages
- be carefull with %%%%fdupes
- minor fixes in .desktop files
- supress some rpmlint warnings
* Tue Jan 27 2009 mvyskocil@suse.cz
- enable of -src build in build service (bnc#465790#c8)
* Thu Jan 15 2009 mvyskocil@suse.cz
- used a new Java plugin for Firefox3 (bnc#465790)
- use a %%%%{javamajver} in JVM toplevel dir (bnc#466078)
- use a %%{{origin} instead of sun
* Tue Dec  9 2008 mvyskocil@suse.cz
- update to 1.6.0u11 (bnc#456770)
* Mon Dec  1 2008 mvyskocil@suse.cz
- fixed of bnc#450316: Cannot install java-1_6_0-sun package after changing
  /bin/sh to point to zsh and not bash
- added a Conflicts: MozillaFirefox <= 2, the new Java plugin included in u10
  is not compatible with Firefox 2
* Fri Nov 21 2008 mvyskocil@suse.cz
- update to u10 FATE#305407
- supress some rpmlint warnings, which cannot be fixed in binary release
* Mon Nov 10 2008 mvyskocil@suse.cz
- timezone update to 1_3_9-2008g (bnc#427616)
  - defined tzversion macro for better maintenance in future.
* Fri Sep 19 2008 mvyskocil@suse.cz
- Fixed [bnc#394974]: Missing .systemPrefs
* Mon Jul 14 2008 anosek@suse.cz
- updated to 1.6.0u7 (bnc#407935)
- updated timezone data
* Mon Apr 28 2008 mvyskocil@suse.cz
- update to 1.6.0u6: VUL-0: java 1.6.0 update 6 security update available
  [bnc#383674]
  - xcb_xlib.c:50: xcb_xlib_unlock: Assertion 'c->xlib.lock' failed.
  - HttpClient and HttpsClient should not try to reverse lookup IP address of a
    proxy server
  - REGRESSION: setting -Djava.security.debug=failure result in NPE in ACC
  - (tz) Support tzdata2008a
  - Incorrect locale specified in the URL embedded in the
    register[_<locale>].html
  - FontConfiguration exception preventing applets from loading
  - Java 6 JavaWebstart increases footprint by factor 2
  - JWS can't find cache file after network crash
  - javax.xml.ws.wsaddressing not included in make/docs/CORE_PKGS.gmk
  - com.sun.crypto.provider.SunJCE instance leak using KRB5 and LoginContext
- fix the java 1.6.0_01-b06 getPackage isCompatibleWith Empty version string
  AMD86 [bnc#331680]
* Wed Apr  9 2008 anosek@suse.cz
- fixed names of java-1.6.0-sun and java-1.6.0-sun-devel
  provides, fixed directory names (removed update number)
* Wed Mar 26 2008 mvyskocil@suse.cz
- update to 1.6.0u5: VUL-0: java: multiple vulnerabilities [bnc#368134]
- CVE-2008-1158: Unspecified vulnerability in the Virtual Machine for
  Sun Java Runtime Environment (JRE) and JDK 6 Update 4 and earlier, 5.0
  Update 14 and earlier, and SDK/JRE 1.4.2_16 and earlier allows remote
  attackers should gain privileges via an untrusted application or applet, a
  different issue than CVE-2008-1186.
- CVE-2008-1187: Unspecified vulnerability in Sun Java Runtime
  Environment (JRE) and JDK 6 Update 4 and earlier, 5.0 Update 14 and
  earlier, and SDK/JRE 1.4.2_16 and earlier allows remote attackers to
  cause a denial of service (JRE crash) and possibly execute arbitrary
  code via unknown vectors related to XSLT transforms.
- CVE-2008-1188: Multiple buffer overflows in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier,
  allow remote attackers to execute arbitrary code via unknown vectors,
  a different issue than CVE-2008-1189.
- CVE-2008-1189: Buffer overflow in Java Web Start in Sun JDK and JRE
  6 Update 4 and earlier, 5.0 Update 14 and earlier, and SDK/JRE
  1.4.2_16 and earlier allows remote attackers to execute arbitrary code
  via unknown vectors, a different issue than CVE-2008-1188.
- CVE-2008-1190: Unspecified vulnerability in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier, 5.0 Update 14 and earlier, and
  SDK/JRE 1.4.2_16 and earlier allows remote attackers to gain
  privileges via an untrusted application, a different issue than
  CVE-2008-1191.
- CVE-2008-1191: Unspecified vulnerability in Java Web Start in Sun
  JDK and JRE 6 Update 4 and earlier allows remote attackers to create
  arbitrary files via an untrusted application, a different issue than
  CVE-2008-1190.
- CVE-2008-1192: Unspecified vulnerability in the Java Plug-in for Sun
  JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier; and
  SDK and JRE 1.4.2_16 and earlier, and 1.3.1_21 and earlier; allows
  remote attackers to bypass the same origin policy and "execute local
  applications" via unknown vectors.
- CVE-2008-1193: Unspecified vulnerability in Java Runtime Environment
  Image Parsing Library in Sun JDK and JRE 6 Update 4 and earlier, and
  5.0 Update 14 and earlier, allows remote attackers to gain privileges
  via an untrusted application.
- CVE-2008-1194: Multiple unspecified vulnerabilities in the color
  management library in Sun JDK and JRE 6 Update 4 and earlier, and 5.0
  Update 14 and earlier, allows remote attackers to cause a denial of
  service (crash) via unknown vectors.
- CVE-2008-1195: Unspecified vulnerability in Sun JDK and Java Runtime
  Environment (JRE) 6 Update 4 and earlier and 5.0 Update 14 and
  earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote attackers
  to access arbitrary network services on the local host via unspecified
  vectors related to JavaScript and Java APIs.
- CVE-2008-1196: Stack-based buffer overflow in Java Web Start
  (javaws.exe) in Sun JDK and JRE 6 Update 4 and earlier and 5.0 Update
  14 and earlier; and SDK and JRE 1.4.2_16 and earlier; allows remote
  attackers to execute arbitrary code via a crafted JNLP file.
* Thu Mar  6 2008 mvyskocil@suse.cz
- removed Provides and Obsoletes of java-1.5.0-plugin in plugin
  subpackage: [bnc#365768]
* Thu Feb 28 2008 anosek@suse.cz
- changed Requires: %%{_libdir}/libodbc.so, %%{_libdir}/libodbcinst.so
  to Requires: unixODBC [#326751]
* Wed Jan 23 2008 mvyskocil@suse.cz
- New update - 1.6.0u4
- The better alternatives script
- Updated the timezone info to 2007k
- avoid the building of a src subpackage in BuildService (licencing problems)
- added %%{bits} to requires of subpackage [#354123]
* Thu Dec 20 2007 anosek@suse.cz
- added 32-bit and 64-bit specific provides (jre-32, jre-64)
* Tue Nov  6 2007 mvyskocil@suse.cz
- Fixed a manual state in /etc/alternatives after update [#334783]
* Mon Oct 22 2007 mvyskocil@suse.cz
- Fixed bug [#334783] bad symlinks in /etc/alternatives after update
* Wed Oct 10 2007 mvyskocil@suse.cz
- update to 1.6.0_update3 [#332137]
  - Fixed vulnerabilities: CVE-2007-5232, CVE-2007-5236, CVE-2007-523, CVE-2007-523, CVE-2007-5240
* Thu Jul 19 2007 stbinner@suse.de
- fix suse_update_desktop_file call
* Fri Jul  6 2007 dbornkessel@suse.de
- wrapper script got applied twice
* Fri Jul  6 2007 dbornkessel@suse.de
- corrected jpackage dependency
* Tue Jul  3 2007 dbornkessel@suse.de
- include Olson data 2007f (Bug #271324)
* Mon Jul  2 2007 dbornkessel@suse.de
- added wrapper script for SDK java exe as well (Bug #252510 Comment #91)
* Mon Jun  4 2007 dbornkessel@suse.de
- update to 1.6.0 update 1:
  US Daylight Savings Time Sun Alert 102836
  Bug 6530336 that was part of Sun Alert 102836, has been fixed in this release. As a result, it is no longer necessary to run the tzupdater tool with the -bc flag to work around this bug. Bug 6466476, that was also part of Sun Alert 102836 has not yet been fixed. If your application uses the deprecated java.util.Timezone IDs and is sensitive to the behavior outlined in 6466476, you will still need to run the tzupdater tool with the -bc flag as a work-around. Note that running tzupdater with the -bc flag does not hinder the fix for 6530336 in any way.
  This release contains Olson time zone data version 2007a. If you need the latest Olson data (currently 2007c) in order to accommodate the America/Indiana/Winamac changes (see US Daylight Savings Time Changes and the Java SE Platform: FAQ (Appendix)), then you will need to run the tzupdater (with -bc flag as appropriate) after installing this release. Please see Sun Java SE JDK tzupdater Tool for more information on how to do this.
  Bug Fixes
  Bug fixes are listed in the following table.
- final long stack variable gets corrupted when FileChannel read is interrupted
- Strange behavior of Client VM (Unexpected value change on the specific situation)
- ParNewGC times spiking, eventually taking up 20 out of every 30 seconds
- CMS+ParNew: wildly different ParNew pause times depending on heap shape caused by allocation spread
- icache invalidation code can segv
- REGRESSION: JNI ExceptionClear does not clear JVMTI's view of the exception
- org.omg.CORBA.ORB.init() thread safety issue
- Adjustment jprt rules
- jTextPane/jEditorPane text space higher than before
- Font.equals() incorrectly returns false if getAttributes() is called on just one of the fonts
- Unable to retrieve printer list on system with unconnected printers
- Combining negative scale and negative shear in Font Transform produced incorrect results in JDK 6
- PIT:Regression test FontAttributeTest.java and two others failed with PIT build 2006-12-04-int.6u1
- PrintServices are incorrectly listed as "not accepting jobs"
- Xgl/Compiz/Java 1.5/Swing problem
- Focus issue with JFrame and JButton
- SplashScreen.getSplashScreen() fails in Web Start context
- COMPATIBILITY: Can't use the keypad to simulate game actions
- Vista: Modality is broken on vista 5840 for all native Dialogs.
- Win32: JVM fastdebug build crashes when Frame uses custom icon.
- AWT needs to use the NO_WM case when running inside of Looking Glass
- Uncanonicalized absolute filepath with length 248-260 no longer works (win)
- (process) Process.destroy() can kill wrong process (Unix)
- TEST_BUG: several tests fail because TESTVMOPTS are passed to javac directly
- native memory leak when use Thread.getAllStackTraces()
- Socket creation on Windows takes a long time if web proxy does not have a DNS entry
- (se) epoll based Selector throws java.io.IOException: Operation not permitted during load
- (smartcardio) RI's implementation of Card.transmitControlCommand(int, byte[]) may cause JVM failure
- CR 4964288 (sound, Unexpected IAE raised while getting TargetData) is not fixed in windows-amd64 JDK
- api/javax_sound/sampled/TargetDataLine/index.html#TargetDataLine fails
- Text cursor is too short.
- First element of JDesktopPane.getAllFrames is an iconified internal frame
- OceanTheme causes swing components to serialize with sun.* classes
- ArrayOutOfBoundsException raised when SHIFT-selecting items in a JList
- Regression: JToolBar's separator is wrongly rendered using GTK L&F on Linux and Solaris
- GTK L&F: JToolBar handle rendered incorrectly under Nimbus theme
- GTKLAF: Menu item selection bar hieght is not consistant in the menu and popupmenu across the items.
- JFileChooser ignores FILES_AND_DIRECTORIES on GTK and Motif
- GTK Theme change and JTextField can/will crash Java
- SwingWorker notifications might be out of order.
- Vista:In disabled JComboBox the drop down button background shows black color and looks enabled.
- XPStyle.getSkin returning null is dangerous
- Memory leak in XPStyle
- Vista: Menu dropdown differs while compare with naitve in vista laf.
- REGRESSION: JCheckBox doesn't show on JToolBar under Windows L&F
- Jeditorpane does not start up the html file
- GTK L&F: JMenuBar is taller than native under Clearlooks
- GTK L&F: buttons, checkboxes, and radiobuttons are sized incorrectly
- GTK L&F: more toolbar issues
- Unbounded memory leak in Windows XP JRE for Applets and applications that open JFrame's
- JTree is not visible with GTK and Right-to-Left component orientation
- JRadioButton in JTree is not painted in correct state on Vista
- (tz) DST bug in latest jdk releases when using EST MST and HST abbreviations
- (date) calling java.util.Date.toString() slows down subsequent calls to the class
- (tz) Support tzdata2007a
- (tz) Support tzdata2006o
- (tz) Support tzdata2006p
- ExecutableElement.getParameters() uses raw type for class loaded from -g bytecode
- Copyright year need to modify with 2007 in J2SE UR releases
- "com.sun.jdi.InternalException: Inconsistent suspend policy" in internal event handler
- 1.5.0_u7 has "shielded" exe in Windows Vista
- regression: re installing the same jre version does not pop up the reinstall dialog
- remove "Installshield" text from offline installers
- Installation of Solaris Packages fails with jdk1.6.0_01-b05
- Privacy Policy is referring wrong URL
- remove "no longer used splash screen" from installer will reduce jre size/speed
- Close browser during JRE installation. Open a new window to java.com at the end of the installation.
- [zh_CN] README_zh_CN in jdk is out of sync with the english README
- [zh_CN, ja] Message sync for two bug fixes in 6.0
- PIT: additional sentence needs to be translated for 6267625
- rmic does not use manifest classpath
- SA: Throws UnmappedAddressException while reading address from core file in shared area.
- jhat OQL Support direct value of java.lang.String type fields
- jhat: oql submit form should put last query into textform for resubmit
- JHAT - Missing class mishandled
- jhat fails with java.lang.ClassCastException on file created by jmap from core file
- jhat should be able to help in finding classloader leaks
- InstallStats2 not sending full version for offline installers with 'failure' status
- IS2 : InstallComplete ping 'ic' with status 'success' is not posted in silent mode
- filename incorrect in jre readme
- Need to implement webstart/plugin part of the bug fix 6439864
- jusched crash: buffer overrun
- Signed applet hangs browser if a remote policy server is being used
- offline support does not work for plugin applets
- regression: Desktop.browse does not work properly for java plug-in applets
- deployment.javaws.secure.properties cannot be used in 1.4.2, 1.5.0, and Java Se 6
- The Wrong proxy is derived from Mozilla browsers when there is no entry in prefs.js
- Regression: Cannot run application using jnlp extensions when offline.
- In JNLP file href must end with .jar extension
- Web Start application installed from CD will not run under Java 6u1
- cannot launch application offline if https is used
- JoinRowSetImpl does not notify listeners
- api/javax_sql/rowset/impl/FilteredRowSet/index.html#FilteredRowSet[notifyCursorMovedTest3] fails b98
- api/javax_sql/rowset/impl/JoinRowSet/index.html#JoinRowSet[createCopySchemaTest] fails on b98
- Using JdbcRowSetImpl(strUrl,strUserId, strPassword) without executing a stmt throws NPE in getType()
- api/javax_sql/rowset/impl/FilteredRowSet/index.html#FilteredRowSet[absoluteTest] fails
- There is no way to plug SyncProvider for CachedRowSet implementation
- RMIConnectorServer.stop: deadlock
- Using MXBeans can lead to memory leaks
* Fri May 25 2007 dbornkessel@suse.de
- moved demo files to %%{_jvmdir}/%%{sdkdir}/demo (which is in %%{_libdir}) in order to avoid having *.so file in /usr/share
- switched on stripping again
- removed versionless provide of j2sdk
- hardlink duplicates
- index jar files
* Mon May 14 2007 dbornkessel@suse.de
- enable wrapper script for x86_64
* Wed Apr 25 2007 dbornkessel@suse.de
- handle plugin with update-alternative mechanism (fixes collect-desktop-files problem and gives users control over which plugin is used)
- wrapper script in order to enable graphical apps (Bug #252510)
* Thu Mar  1 2007 dbornkessel@suse.de
- first version
